@{
    ViewData["Title"] = "Check";
}

<h1>Check certificate</h1>

<p>@ViewData["Result"]</p>

<form method="post">
  <label for="Label">Certificate to check:</label>
  <input type="text" name="Label">

  <input type="submit" value="Check">
</form>